View Issue Details

IDProjectCategoryView StatusLast Update
06524Development [All Projects] Print Viewpublic2012-11-26 22:25
Reporteruser16774Assigned Touser16774 
PrioritynormalSeveritymajor 
Status feedbackResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary06524: No Way to Access the Print to PDF Functionality
Description

When you go to a survey in the admin interface, it's easy to get the HTML printable version of the survey, but there seems to be no way to activate the PDF output that can be set by post parameter.

Additional Information

Either 1. this is a bug.
or 2. this feature was depreciated but several 100? lines of code were not removed.

TagsNo tags attached.

Activities

c_schmitz

c_schmitz

2012-09-14 11:00

administrator   ~20694

Yes, the feature is deprecated for now and needs to be rewritten.
Unless that happens we leave the old code in there. If you have more questions please regarding this, please get in touch.

user16774

2012-09-14 13:06

  ~20703

What needs done, exactly?

c_schmitz

c_schmitz

2012-10-10 14:12

administrator   ~21171

THe PDF output is/was ugly as hell. It would be good if the PDF version would look as similar as possible as the HTML version.

So, the steps to do:

1.) Investigate if there is a way to easily convert the HTML output to PDF.
2.) Assuming this can be done, rewrite the code.

c_schmitz

c_schmitz

2012-11-26 22:25

administrator   ~22563

Fix me! ;)

Issue History

Date Modified Username Field Change
2012-08-29 08:17 user16774 New Issue
2012-09-14 11:00 c_schmitz Note Added: 20694
2012-09-14 11:00 c_schmitz Status new => closed
2012-09-14 11:00 c_schmitz Assigned To => c_schmitz
2012-09-14 11:00 c_schmitz Resolution open => fixed
2012-09-14 11:00 c_schmitz Resolution fixed => suspended
2012-09-14 13:06 user16774 Assigned To c_schmitz => user16774
2012-09-14 13:06 user16774 Note Added: 20703
2012-09-14 13:06 user16774 Status closed => feedback
2012-09-14 13:06 user16774 Resolution suspended => reopened
2012-10-05 21:00 c_schmitz Project Bug reports => Development
2012-10-10 14:12 c_schmitz Note Added: 21171
2012-11-26 22:25 c_schmitz Note Added: 22563